> ## Documentation Index
> Fetch the complete documentation index at: https://docs.campfire.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Cash Basis Operating Statement



## OpenAPI

````yaml https://api.meetcampfire.com/api/schema?format=json get /ca/api/cash-basis-operating-statement
openapi: 3.0.3
info:
  title: Campfire Developer APIs
  version: 1.0.0
  description: >
    ## Introduction

    Campfire's developer APIs offer granular access to Campfire's core
    accounting,

    revenue recognition, and financial data features.


    These APIs are designed to be used by developers to build custom
    integrations,

    automate workflows, and perform any other programmatic operations.
servers:
  - url: https://api.meetcampfire.com
    description: Production server
security: []
tags:
  - name: Cash Management
    description: Operations related to accounts, transactions, and other bank-related data.
  - name: Core Accounting
    description: >-
      Operations related to core accounting data, such as the chart of accounts,
      entity management, and the general ledger.
  - name: Revenue Recognition
    description: >-
      Operations related to revenue recognition, contract management, and
      contract data aggregation.
  - name: Accounts Receivable
    description: Operations related to invoicing and the AR subledger
  - name: Accounts Payable
    description: Operations related to billing and the AP subledger.
  - name: Financial Statements
    description: Operations related to financial statement generation and data aggregation.
  - name: Settings
    description: Operations related to system and accounting settings configuration.
paths:
  /ca/api/cash-basis-operating-statement:
    get:
      tags:
        - Financial Statements
      summary: Get Cash Basis Operating Statement
      operationId: ca_api_cash_basis_operating_statement_retrieve
      parameters:
        - in: query
          name: all_time
          schema:
            type: boolean
            default: false
          description: >-
            If true, uses full transaction date range for the customer;
            start_date and end_date are ignored
        - in: query
          name: cadence
          schema:
            type: string
            enum:
              - daily
              - monthly
              - quarterly
              - weekly
              - yearly
            default: monthly
        - in: query
          name: end_date
          schema:
            type: string
            format: date
          description: >-
            Latest date (inclusive) for which to retrieve data. Defaults to end
            of current month
        - in: query
          name: entity
          schema:
            type: integer
          description: >-
            Entity ID(s) to scope the report. Can be repeated
            (?entity=1&entity=2) or JSON array
          explode: true
          style: form
        - in: query
          name: entity_rollup
          schema:
            type: boolean
            default: false
          description: If true, includes all data of children entities in consolidation
        - in: query
          name: export
          schema:
            type: string
            enum:
              - xlsx
          description: If xlsx, returns Excel file (income_statement.xlsx) instead of JSON
        - in: query
          name: group
          schema:
            type: integer
          description: Tag group ID. Required when group_by=tag
        - in: query
          name: group_by
          schema:
            type: string
          description: >-
            Breakdown dimension: vendor, department, tag, currency, entity. For
            tag, also pass group (tag group ID). For cash-basis,
            department_row_children, department_row_parents, department_only
            normalize to department
        - in: query
          name: rollup_totals
          schema:
            type: boolean
            default: true
          description: >-
            If true, roll up child account totals to parent accounts. Set to
            false for export
        - in: query
          name: start_date
          schema:
            type: string
            format: date
          description: >-
            Earliest date (inclusive) for which to retrieve data. Defaults to
            six months ago
      responses:
        '200':
          description: No response body
      security:
        - knoxApiToken: []
components:
  securitySchemes:
    knoxApiToken:
      type: apiKey
      in: header
      name: Authorization
      description: Token-based authentication with required prefix "Token"

````